package com.mortals.xhx.module.dept.dao;

import com.mortals.framework.dao.ICRUDDao;
import com.mortals.xhx.module.dept.model.DeptEntity;
import java.util.List;
/**
* 部门信息Dao
* 部门信息 DAO接口
*
* @author zxfei
* @date 2023-03-06
*/

public interface  DeptDao extends ICRUDDao<DeptEntity,Long>{

    /**
    * 查询子节点
    *
    * @param
    * @return
    */
    List<DeptEntity> selectChildrenDeptById(String deptId);

    /**
     * 查询所有数据
     * */
    List<DeptEntity> queryAllList();

    /**
     * 查询部门信息
     * */
    DeptEntity queryDept(String deptCode);

    /**
     * 查询是否作为上级本门
     * */
    DeptEntity queryDeptParient(String parentCode);


}
